OmwAIOmwAI
API GuideAPI ReferenceProgramming Tools
Vidu Video

Video Generation

Submit a Vidu Video task. Vidu provides text-to-video, image-to-video, first-and-last-frame, and multi-image reference generation through the OpenAI-compatible video API.

Submit a Vidu Video task. Vidu provides text-to-video, image-to-video, first-and-last-frame, and multi-image reference generation through the OpenAI-compatible video API.

POST
/v1/videos

Authorization

BearerAuth

AuthorizationBearer <token>

使用 API Token 认证

In: header

model*string

Vidu 模型

Value in"viduq2" | "viduq1" | "vidu2.0" | "vidu1.5"
prompt?string

视频描述提示词

images?array<string>

图片 URL 列表:1 张为图生视频,2 张为首尾帧,超过 2 张为参考生视频

image?string

单张图片 URL,兼容字段,会转为 images

input_reference?string

单张参考图片 URL,兼容字段

seconds?integer

视频时长,兼容 duration

duration?integer

视频时长

size?string

输出尺寸或分辨率,例如 720p、1920x1080

metadata?

扩展参数;metadata.action 可指定 generate、textGenerate、firstTailGenerate、referenceGenerate 或 remixGenerate

[key: string]?any

Response Body

application/json

curl -X POST "https://loading/v1/videos" \  -H "Content-Type: application/json" \  -d '{    "model": "viduq2",    "prompt": "一只猫在海边奔跑",    "seconds": 5,    "size": "720p"  }'
{
  "id": "string",
  "object": "video",
  "model": "string",
  "status": "queued",
  "progress": 0,
  "created_at": 0,
  "completed_at": 0,
  "error": {}
}
Empty

How is this guide?

Last updated on